services:
    _defaults:
        autowire: false
        autoconfigure: false
        public: false

    Claroline\ClacoFormBundle\Manager\ClacoFormManager:
        arguments:
            - '@security.authorization_checker'
            - '@event_dispatcher'
            - '%claroline.param.files_directory%'
            - '@Claroline\AppBundle\Persistence\ObjectManager'
            - '@router'
            - '@security.token_storage'
            - '@translator'
            - '@messenger.default_bus'
            - '@Claroline\ClacoFormBundle\Manager\CategoryManager'
        calls:
            - setLogger: [ '@logger' ]

    Claroline\ClacoFormBundle\Manager\CategoryManager:
        arguments:
            - '@messenger.default_bus'
            - '@router'
            - '@translator'
            - '@Claroline\AppBundle\Persistence\ObjectManager'

    Claroline\ClacoFormBundle\Manager\ExportManager:
        arguments:
            - '@router'
            - '@Claroline\ClacoFormBundle\Manager\ClacoFormManager'
            - '@Claroline\AppBundle\Manager\File\TempFileManager'
            - '%claroline.param.files_directory%'
            - '@Claroline\CoreBundle\Manager\LocationManager'
            - '@twig'
            - '@translator'
            - '@Claroline\AppBundle\Manager\PdfManager'
